6; サンプルキャラクター『カンフーマン』のコマンドファイルです。
; コマンドに関する設定は４部構成になっています。
;==============================================================================
; Win版専用パート
;==============================================================================
;------------------------------------------------------------------------------
; ここはWin版から（正確にはLinux版から）追加された要素の二つ。
; コマンド関連の初期設定を任意に指定出来るようになった(`・ω・´)
;
;『ボタンリマップ』はボタン配置変更用の項目。
; 定義パートでいちいち変更しなくても良いようになっちゃった。
; 面倒臭い人用かな！（ﾏﾃｺﾗ
;
;『デフォルト設定』では各[Command]で省略した場合の
; 入力受付時間と入力記憶時間を予め決めておく項目。
;
;
; この２項目は省略可能。
;------------------------------------------------------------------------------
;-| ボタンリマップ（ボタンコンフィグ）|---------------------------------------- 第１部

[Remap]
x = x      ;Ｘボタンの入力判定を実際に押すボタンに割り当てる。
y = y      ;Ｙボタン　　　　　　　　　〃
z = z      ;Ｚボタン　　　　　　　　　〃
a = a      ;Ａボタン　　　　　　　　　〃
b = b      ;Ｂボタン　　　　　　　　　〃
c = c      ;Ｃボタン　　　　　　　　　〃
s = s      ;スタートボタン　　　　　　〃

;------------------------------------------------------------------------------
; 例えば「本来Ｘボタンで出す弱パンチをＢボタンに変えたい場合」なら、
;
; x = b
;
; で簡単に出来る。使わないボタンを使っているボタンに割り当てる事も可能。
;------------------------------------------------------------------------------
;-| デフォルト設定 |----------------------------------------------------------- 第２部

[Defaults]
command.time = 15  ;標準のコマンド入力受付時間。
                   ;各コマンドで省略している場合に有効。
                   ;このパラメータを消した場合、デフォルトは１フレームになる。
                   ;（　M.U.G.E.Nでの１フレーム　＝　１／６０秒　）

command.buffer.time = 1  ;標準のコマンド入力記憶時間。
                         ;入力した直後にコマンドを記憶し、
                         ;指を離してもコマンドが成功している状態を
                         ;ここで設定した時間の分維持する。
                         ;１〜３０フレームまでの間で設定可能。
                         ;デフォルトは１フレーム。

;============================================================================== 第３部
; コマンド定義パート（入力キーを設定する）
;==============================================================================
;------------------------------------------------------------------------------
; ここがキーとボタンの組み合わせで格闘ゲームにおける
;『入力コマンド』を直接設定・編集するパート。
;
; 一つずつコマンドに名前を付けて入力キーを組み合わせる単純な作業になるけど、
; 組み合わせが独特だから覚えるのは難易度が少し高い。
;
; 下記で「書式の決まり」と「組み合わせに必要なアルファベットと記号」を
; 全て説明しましょう。
;------------------------------------------------------------------------------
;■書式の決まり■
;
; [Command]         ：入力コマンドを１個定義する。
; name = "***"      ：コマンド名を決める。大文字と小文字も区別される。
; command = ###     ：実際に入力するキーを組み合わせる。詳細は後述。
; time = &&&        ：入力受付時間を設定（オプション）。
; buffer.time = @@@ ：入力記憶時間を設定（オプション）。
;
; 小ネタでも説明している通り、登録が可能な数は最大『１２８個』まで。
;
;
;※『必須コマンド名』と書いてるコマンドは、システム側で処理してます。
;　コマンド名を変えたり、消してはいけません。キーの変更は出来ます。
;------------------------------------------------------------------------------
;■必要なアルファベットと記号■
;
; 上記の「command = ###」の『###』に該当する部分で、
; 組み合わせるキーとボタンを設定しなければならない。
;
; ※設定したキーやボタンはM.U.G.E.Nのオプションモードにある
;  「キーコンフィグ」にて設定したキーなどに対応しています。
;
; ★方向キー★（全て必ず大文字で）
;
; 　B 　：「後方」にキーを入れる（ Backward ）
; 　D 　：「下方」にキーを入れる（ Downward ）
; 　F 　：「前方」にキーを入れる（ Forward ）
; 　U 　：「上方」にキーを入れる（ Upward ）
;
; 　DB　：「後ろ斜め下」にキーを入れる（「D」と「B」が同時に入力された事を認識）
; 　UB　：「後ろ斜め上」にキーを入れる（「U」と「B」が同時に入力された事を認識）
; 　DF　：「前斜め下」にキーを入れる（「D」と「F」が同時に入力された事を認識）
; 　UF　：「前斜め上」にキーを入れる（「U」と「F」が同時に入力された事を認識）
;
; ★ボタン★（全て必ず小文字で）
;
; 　a 　：「Ａボタン」を押す
; 　b 　：「Ｂボタン」を押す
; 　c 　：「Ｃボタン」を押す
; 　x 　：「Ｘボタン」を押す
; 　y 　：「Ｙボタン」を押す
; 　z 　：「Ｚボタン」を押す
; 　s 　：「スタートボタン」を押す
;
; ★記号★（入力効果を変化させる命令）
;
; 　/ 　：（スラッシュ）キーやボタンを「押しっぱなし」にしている事を認識する場合に追加する
;
; 　　（例）：　/b       = Ｂボタンを押したままにする
; 　　　　　　　/F       = 前キーを押したままにする
; 　　　　　　　/U,z     = 上キーを押したままＺボタンを入力する
;
;　　━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
; 　~ 　：（チルダ）キーやボタンが「離された時」を認識する場合に追加する
;
; 　　（例）：　~x       = Ｘボタンを離す
; 　　　　　　　~DF      =「前斜め下」のキーを離す
; 　　　　　　　~DB,F,c  =「後ろ斜め下」を離した後に前キー・Ｃボタンの順番に入力する
;
; 　　　　　　※「ボタンを離すまでの時間（溜め時間）」も設定する事が出来る
;
; 　　　　　　　~30x     = Ｘボタンを押したままにして、３０フレーム以上経ったら離す
; 　　　　　　　~50B,F,a = 後ろキーを５０フレームまで溜めて前キー・Ａボタンの順番に入力する
;
;　　━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
; 　$ 　：（ドル）方向キーの「複数の内どれかが入力されている事」を認識する場合に追加する
;
; 　　（例）：　$B       =「後方」「後ろ斜め下」「後ろ斜め上」のどれかが入力されている状態
; 　　　　　　　$UF      =「前」「上」「前斜め上」のどれかが入力されている状態
;
; 　　　　　　※この記号は「方向キー」でしか使えません。
;
;　　━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
; 　+ 　：（プラス）ボタンを「同時押し」している事を認識する場合に追加する
;
; 　　（例）：　x+y      = ＸボタンとＹボタンを同時押しする
; 　　　　　　　a+b+c    = ＡボタンとＢボタンとＣボタンを同時押しする
;
; 　　　　　　※この記号は「ボタン」でしか使えません。
;
;　　━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━
;
; 　> 　：（グレーターザン）大なり（Win版で追加された記号）
; 　　　　　　　　　　　　「他のキーが入力されていない事を確認して、そのキーを押す」場合
;
; 　　（例）：　a,>~a    = Ａボタン以外が入力されていない状態でＡボタンを離す
; 　　　　　　　F,>~F,>F = 前キー以外が入力されていない状態で前キーを離し、
;　　　　　　　　　　　　　もう一度前キーを入力する
;
;-------------------------------------------------------------------------------
; ●これらの記号は全て組み合わせて使う事が出来る●
;
; 　　（例）：　~80$DB,DF,F,/a+y+c
; 　　　　　　　
; 　　　　　　「後方」「下」「後ろ斜め下」のどれかを８０フレームまで溜めて
; 　　　　　　「前斜め下」→「前」を入力した後、ＡとＹとＣを同時押ししたままにする
;
;------------------------------------------------------------------------------
;	AIスイッチコマンド

[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0
;-| 超必殺技 |-----------------------------------------------------------------

;※名前が同じならば、違うコマンドでも同じステートの技を出す事が可能。

[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, x
time = 20

[Command]
name = "TripleKFPalm"
command = ~D, DF, F, D, DF, F, y
time = 20

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, x;~F, D, DF, F, D, DF, x
time = 20

[Command]
name = "SmashKFUpper"
command = ~D, DB, B, D, DB, B, y;~F, D, DF, F, D, DF, y
time = 20

[Command]
name = "asiotox"
command =  ~$B, DB, D, DF, $F, x
time = 30


[Command]
name = "asiotoy"
command =  ~$B, DB, D, DF, $F, y
time = 30

[Command]
name = "asiotob"
command =  ~$B, DB, D, DF, $F, b
time = 30

[Command]
name = "domekura"
command = ~$D, DB, $B,a
time = 25

;------------------------------------------------------------------------------
;-| 必殺技 |-------------------------------------------------------------------

[Command]
name = "upper_x"
command = ~F, D, DF, x

[Command]
name = "upper_y"
command = ~F, D, DF, y

[Command]
name = "upper_xy"
command = ~F, D, DF, x+y

[Command]
name = "DDFF_x"
command = ~D, DF, F, x

[Command]
name = "QCF_y"
command = ~D, DF, F, y

[Command]
name = "DDFF_b"
command = ~D, DF, F, b

[Command]
name = "QCF_xy"
command = ~D, DF, F, x+y

[Command]
name = "DDBB_x"
command = ~D, DB, B, x

[Command]
name = "DDBB_b"
command = ~D, DB, B, b

[Command]
name = "DDBB_y"
command = ~D, DB, B, y

[Command]
name = "QCB_xy"
command = ~D, DB, B, x+y

[Command]
name = "FF_ab"
command = F, F, a+b

[Command]
name = "FF_a"
command = F, F, a

[Command]
name = "FF_b"
command = F, F, b

[Command]
name = "DD_x"
command = D, D, x
time = 20

[Command]
name = "DD_y"
command = D, D, y
time = 20

[Command]
name = "DD_b"
command = D, D, b
time = 20
;---------------------------
;(「板投げ」用にコマンドを追加してます)
[Command]
name = "board"
command = ~D, DB, B, a

[Command]
name = "tnikukyuu"
command = ~D, DF, F, a

;------------------------------------------------------------------------------
;-| キー２回連続入力 |---------------------------------------------------------

[Command]
name = "FF"       ;必須コマンド名
command = F, F
time = 10

[Command]
name = "BB"       ;必須コマンド名
command = B, B
time = 10

;------------------------------------------------------------------------------
;-| 同時押し |-----------------------------------------------------------------

[Command]
name = "recovery" ;必須コマンド名
command = x
time = 1

[Command]
name = "recovery" ;必須コマンド名
command = y
time = 1

[Command]
name = "recovery" ;必須コマンド名
command = b
time = 1

[Command]
name = "y+b" ;必須コマンド名
command = y+b
time = 8

[Command]
name = "burst" ;必須コマンド名
command = y+b+a+y
time = 8

[Command]
name = "burst" ;必須コマンド名
command = c+z
time = 8
;------------------------------------------------------------------------------
;-| 方向キー＋ボタン |---------------------------------------------------------

[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

[Command]
name = "up_a"
command = /$U,a
time = 1

[Command]
name = "baria"
command = /$B+z
time = 10
;------------------------------------------------------------------------------
;-| ボタン単発 |---------------------------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1


;------------------------------------------------------------------------------
;(「パワー溜め」用にコマンドを追加してます)ボタン押しっぱなし
[Command]
name = "hold_c"
command = /c

[Command]
name = "hold_x"
command = /x

[Command]
name = "hold_y"
command = /y

[Command]
name = "hold_z"
command = /z
;-| 方向キー |-----------------------------------------------------------------

[Command]
name = "holdfwd"   ;必須コマンド名
command = /$F
time = 1

[Command]
name = "holdback"  ;必須コマンド名
command = /$B
time = 1

[Command]
name = "holdup"    ;必須コマンド名
command = /$U
time = 1

[Command]
name = "holddown"  ;必須コマンド名
command = /$D
time = 1

[command]
name="fwd"
command=F
time=1
[command]
name="back"
command=B
time=1
[command]
name="up"
command=U
time=1
[command]
name="down"
command=D
time=1
;============================================================================== 第４部
; ステートエントリーパート（技などを出せるようにするための条件を設定）
;==============================================================================
;------------------------------------------------------------------------------
; コマンド名と入力するコマンドを設定しただけじゃ意味が無いので、ここから
;「実際に入力したコマンドでどの番号のステートをどういう条件で出せるか」
; を決めなければならない。
;
; ステートコントローラ「changestate」しか使わないけど、
; そんなに難しくないのでトリガーを覚えてたらすぐ出来る。
;
; ここさえ押さえておけば簡単なトリガー設定の流れは覚えられるかと。
;
; エントリーの順番にはある程度の法則があるけど、
; おまけフォルダの「小ネタ.txt」を参照。（波動拳が暴発ﾅﾝﾀﾗｶﾝﾀﾗ）
;
; changestateなどステートコントローラの基本的な設置例は
; おまけフォルダの「テンプレート.txt」を参照。
;------------------------------------------------------------------------------
; ■準常時監視ステート（−１）■
; コマンドファイル（のステートエントリーパート）に必要な項目です。
; 絶対に消してはいけないので要注意。
;
; 通常の食らい状態以外の「P2StateNo」や「TargetState」等で制御された、
; 作成者が任意に指定した相手側の食らいステートに限り、
; 登録したステートコントローラが有効にはなりません。
;------------------------------------------------------------------------------

[Statedef -1] ;←この行は絶対に消さないでね。必須項目です。

;==============================================================================
; 超必殺技
;==============================================================================
;------------------------------------------------------------------------------




[State -1, アプロ];ゲージレベル１
type = changestate
value = 3001
triggerall = var(59) = 0 ;AI入ってない
triggerall = command =  "tnikukyuu" ;「SmashKFUpper」の名前のコマンドが入力されたら
triggerall = power >= 1000             ;パワーゲージがレベル１以上溜まっている時（※）
triggerall = statetype != A            ;「空中」ではない時
trigger1 =  var(1)
trigger2 = stateno = 5120
trigger3 = stateno = 3001
trigger4 = stateno = 5110

[State -1, どめくら剣]
type = changestate
value = 3100
triggerall = var(59) = 0 ;AI入ってない
triggerall = command =  "domekura"
triggerall = power >= 1000
triggerall = statetype != A            ;「空中」ではない時
trigger1 =  var(1)
trigger2 = stateno = 5120
trigger2 = stateno = 3001

[State -1, 猫の足音]
type = changestate
value = 3300
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command =  "asiotox"
trigger1 = power >= 2000
trigger1= statetype != A            ;「空中」ではない時
trigger1 = ctrl

[State -1, 猫の足音]
type = changestate
value = 3350
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command =  "asiotoy"
trigger1 = power >= 2000
trigger1= statetype != A            ;「空中」ではない時
trigger1 = ctrl

[State -1, 猫の足音]
type = changestate
value = 3360
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command =  "asiotob"
trigger1 = power >= 2000
trigger1= statetype != A            ;「空中」ではない時
trigger1 = ctrl

[State -1, バースト]
type = changestate
value = 3200
triggerall = var(59) = 0 ;AI入ってない
triggerall = command =  "burst"
trigger1 = var(8) = 0
trigger1 = statetype != A 

[State -1, バースト空中]
type = changestate
value = 3201
triggerall = var(59) = 0 ;AI入ってない
triggerall = command =  "burst"
trigger1 = var(8) = 0
trigger1 = statetype = A 

[State -1,移動起き上がり前]
Type = changestate
triggerall = var(59) = 0 ;AI入ってない
TriggerAll = StateNo = 5110
TriggerAll = Command = "holdfwd"
Trigger1 = Command = "a"
Trigger2 = Command = "b"
Trigger3 = Command = "c"
Trigger4 = Command = "y"
Trigger5 = Command = "z"
Value = 5125

[State -1,移動起き上がり後ろ]
Type = changestate
triggerall = var(59) = 0 ;AI入ってない
TriggerAll = StateNo = 5110
TriggerAll = Command = "holdback"
Trigger1 = Command = "a"
Trigger2 = Command = "b"
Trigger3 = Command = "c"
Trigger4 = Command = "y"
Trigger5 = Command = "z"
Value = 5130
;==============================================================================
; 必殺技
;==============================================================================
;------------------------------------------------------------------------------
; 変数の使い方の例。
;
; カンフーマンの「地上で必殺技が出せる状況」や、
; 通常技から必殺技へ繋ぐ時の「キャンセル」の部分を設定している。
; 地上で成功すれば、『変数の例２』のステートコントローラで設定した
; 変数が実行され、それ以外なら『変数の例１』でリセットする、という処理。
;
; 個人的にはこの方法はオススメしない。kfmcでの方法を推薦します。

[State -1, 変数の例１];必殺技の発生条件リセット
type = VarSet
trigger1 = 1
var(1) = 0 ;変数用パラメータの記述方法その１（その２は「板投げ」のステートにて）

[State -1, 変数の例２];必殺技の発生条件をチェック
type = VarSet
trigger1 = statetype != A
trigger1 = ctrl
trigger2 = (stateno = [200,299]) || (stateno = [400,499])
trigger2 = movecontact
trigger3 = stateno = [1230,1290]
trigger3 = movecontact
trigger4 = stateno = 1102
trigger5 = stateno = 1108
trigger6 = stateno = 1122
trigger7 = stateno = 3010
trigger8 = stateno = 810
trigger8 = AnimElemTime(2) >= 0
trigger9 = stateno = 261
var(1) = 1

;------------------------------------------------------------------------------

;------------------------------------------------------------------------------




;------------------------------------------------------------------------------


[State -1, 2Dしゃがみ当身]
type = changestate
value = 1120
triggerall = var(59) = 0 ;AI入ってない
triggerall = command =  "a"
triggerall = command = "holddown"
trigger1 = ctrl
trigger1 = statetype = C
trigger2 = stateno = 5120
trigger3 = stateno = 5110

[State -1, 6D猫の鳴き声]
type = changestate
value = 1105
triggerall = var(59) = 0 ;AI入ってない
triggerall = (command =  "a") && (command = "holdfwd")
trigger1 = ctrl
trigger1 = statetype = S
trigger2 = stateno = 5120
trigger3 = stateno = 5110
[State -1, 5D当身]
type = changestate
value = 1100
triggerall = var(59) = 0 ;AI入ってない
triggerall = command =  "a"
trigger1 = ctrl
trigger1 = statetype = S




[State -1, 空中当身]
type = changestate
value = 1130
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "a"
trigger1 = ctrl
trigger1 = statetype = A


;------------------------------------------------------------------------------


[State -1, 木枯らし弱]
type = changestate
value = 1200
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "DD_x"
trigger1 =  var(1)
trigger1 = power >= 250

[State -1, 木枯らし弱]
type = changestate
value = 1210
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "DD_y"
trigger1 =  var(1)
trigger1 = power >= 250

[State -1, 木枯らし弱]
type = changestate
value = 1220
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "DD_b"
trigger1 =  var(1)
trigger1 = power >= 250

[State -1, 移動技１]
type = changestate
value = 1230
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "DDFF_x"
trigger1 = var(1)
trigger1 = power >= 250

[State -1, 移動技2]
type = changestate
value = 1260
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "DDFF_b"
trigger1 = var(1)
trigger1 = power >= 750

[State -1, 紅蓮？]
type = changestate
value = 1270
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "DDBB_x"
trigger1 = var(1)
trigger1 = power >= 250

[State -1, 蓮花もどき]
type = changestate
value = 1280
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "DDBB_y"
trigger1 = var(1)
trigger1 = power >= 500

[State -1, 残鉄もどき]
type = changestate
value = 1290
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "DDBB_b"
trigger1 = var(1)
trigger1 = power >= 750

[State -1, 椿もどき]
type = changestate
value = 1300
triggerall = var(59) = 0 ;AI入ってない
triggerall = command =  "DDBB_b"
triggerall = statetype = A
triggerall = power >= 750
trigger1 = ctrl
trigger2 = (stateno = [600,640])
trigger2 = movecontact
trigger3 = stateno = 1131
trigger3 = movecontact
trigger4 = stateno = 100
trigger5 = stateno = 105
[state -1,突晶切]
type = changestate
value = 1310
triggerall = var(59) = 0 ;AI入ってない
triggerall = statetype = A
triggerall = power >= 500
triggerall = command = "DDBB_y"
trigger1 = ctrl
trigger2 = (stateno = [600,640])
trigger2 = movecontact
trigger3 = stateno = 1131
trigger3 = movecontact
;------------------------------------------------------------------------------


;------------------------------------------------------------------------------
;------------------------------------------------------------------------------



;==============================================================================
; 移動関連
;==============================================================================
;------------------------------------------------------------------------------

[State -1, 走る]
type = changestate
value = 100
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "FF"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, バックステップ]
type = changestate
value = 105
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command = "BB"
trigger1 = statetype = S
trigger1 = ctrl

[State -1, airrun1]
type = changestate
value = 110
triggerall = var(59) = 0 ;AI入ってない
triggerall = statetype = A
triggerall = command = "FF"
triggerall = ctrl
trigger1 = var(6) <= 2


[State -1, airrun]
type = changestate
value = 111
triggerall = var(59) = 0 ;AI入ってない
triggerall = statetype = A
triggerall = command = "FF"
trigger1 = ctrl
trigger1 = var(6) <= 2


[State -1, airrun];空中バックダッシュ
type = changestate
value = 115
triggerall = var(59) = 0 ;AI入ってない
triggerall = statetype = A
triggerall = command = "BB"
trigger1 = ctrl
trigger1 = var(6) <= 2


[State -1, airrun]
type = changestate
value = 116
triggerall = var(59) = 0 ;AI入ってない
triggerall = statetype = A
triggerall = command = "BB"
trigger1 = ctrl
trigger1 = var(6) <= 2

;==============================================================================
; 特殊技
;==============================================================================
;------------------------------------------------------------------------------

[State -1, ぺしぺし];投げ技
type = changestate
value = 800
triggerall = var(59) = 0 ;AI入ってない
triggerall = statetype = S
triggerall = ctrl
triggerall = stateno != 100
trigger1 = command = "y+b"
trigger1 = (p2statetype = S) || (p2statetype = C)
trigger1 = p2movetype != H
trigger2 = command = "y+b"
trigger2 = command = "holdback"
trigger2 = (p2statetype = S) || (p2statetype = C)
trigger2 = p2movetype != H
trigger3 = command =  "c"
trigger3 = (p2statetype = S) || (p2statetype = C)
trigger3 = p2movetype != H
trigger4 = command = "c"
trigger4 = command = "holdback"
trigger4 = (p2statetype = S) || (p2statetype = C)
trigger4 = p2movetype != H

[State -1,ガードキャンセル]
type = changestate
value = 850
triggerall = var(59) = 0 ;AI入ってない
trigger1 = command =  "c"
trigger1 = stateno = [150,153]
trigger1 = power >= 1000 

[State -1, 刃鳴と散れい]
type = changestate
value = 250
triggerall = var(59) = 0 ;AI入ってない
triggerall = (command = "x") && (command = "holdfwd")
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl


[State -1, ヒップアタック]
type = changestate
value = 260
triggerall = var(59) = 0 ;AI入ってない
triggerall = (command = "y") && (command = "holdfwd")
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl


[State -1, カカ族もどき奥義]
type = changestate
value = 280
triggerall = var(59) = 0 ;AI入ってない
triggerall = (command = "b") && (command = "holdfwd")
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl


;-----------------------------------------------------------------------------


;==============================================================================
; 通常攻撃技
;==============================================================================
;------------------------------------------------------------------------------

[State -1, 立ち弱,肉球ぱんち]
type = changestate
value = 200
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "x"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl
trigger2 = stateno = 200
trigger2 = movecontact
[State -1, 立ち中斬り]
type = changestate
value = 210
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "y"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl



[State -1, 立ち強斬り]
type = changestate
value = 240
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "b"
triggerall = command != "holddown"
trigger1 = statetype = S
trigger1 = ctrl



;------------------------------------------------------------------------------

[State -1, 挑発]
type = changestate
value = 195
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "start"
trigger1 = statetype != A
trigger1 = ctrl
trigger1 = NumProjID(4000) = 0
;------------------------------------------------------------------------------

[State -1, しゃがみ弱肉球突き]
type = changestate
value = 400
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "x"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl
trigger2 = stateno = 400
trigger2 = movecontact
[State -1, しゃがみ中斬りき]
type = changestate
value = 410
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "y"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl




[State -1, しゃがみ強切]
type = changestate
value = 440
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "b"
triggerall = command = "holddown"
trigger1 = statetype = C
trigger1 = ctrl


;------------------------------------------------------------------------------

[State -1, ジャンプ弱肉球]
type = changestate
value = 600
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "x"
trigger1 = statetype = A
trigger1 = ctrl

;trigger3 = stateno = 1350 ;Win版のカンフーマンには「ブロッキング」が搭載予定だったらしい

[State -1, ジャンプ中斬り]
type = changestate
value = 610
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "y"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = 600
trigger2 = movecontact
;trigger3 = stateno = 1350 ;Win版のカンフーマンには「ブロッキング」が搭載予定だったらしい



[State -1, ジャンプ強斬り]
type = changestate
value = 640
triggerall = var(59) = 0 ;AI入ってない
triggerall = command = "b"
trigger1 = statetype = A
trigger1 = ctrl
trigger2 = stateno = [600,610]
trigger2 = movecontact
;trigger3 = stateno = 1350 ;Win版のカンフーマンには「ブロッキング」が搭載予定だったらしい

;-| ジャンプキャンセル |-------------------------------------------------------

;地上
[State -1]
type = changestate
value = 40
triggerall = var(59) = 0 ;AI入ってない
triggerall = RoundState = 2
triggerall = command = "holdup"
triggerall = command != "holddown"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = Movehit
trigger2 = stateno = 250
trigger2 = p2statetype = A
trigger3 = movecontact
trigger3 = stateno = 1240

;空中
[State -1]
type = changestate
value = 46
triggerall = var(59) = 0 ;AI入ってない
triggerall = RoundState = 2
triggerall = var(3) = 0
triggerall = statetype = A
triggerall = command = "holdup"
trigger1 = stateno = 610
trigger1 = movecontact = 1

;空中その２
[State -1]
type = changestate
value = 47
triggerall = var(59) = 0 ;AI入ってない
triggerall = RoundState = 2
triggerall = var(3) = 1
triggeraii = var(4) = 1
triggerall = statetype = A
triggerall = command = "holdup"
trigger1 = stateno = 610
trigger1 = movehit = 1
;------------------------------------------------------------------------------
;AI用ＣＭＤ
;AICMD




;------------------------------------------------------------------------------------
[Statedef -3]

[State -3, コンボ用];エリアル用
type = VarSet
triggerall = movehit
trigger1 = p2statetype = A
trigger1 = stateno = 250
trigger2 = stateno = 1240
var(21) = 1

[State -3, コンボ用];エリアル用
type = VarSet
triggerall = movehit
trigger1 = var(3) > 0||var(4) > 0
trigger1 = stateno = 1311
var(21) = 3
[State -3, コンボ用];エリアル用
type = VarSet
trigger1 = p2movetype != H
trigger2 = enemy,GethitVar(hitcount) = 0
trigger3 = stateno = 640
trigger3 = movehit
trigger3 = FrontEdgeBodyDist <= 80
trigger3 = var(3) = 0||var(4) = 0
var(21) = 0

[State -3, コンボ用]
type = VarSet
trigger1 = stateno = 1102
trigger2 = stateno = 1108
trigger3 = stateno = 1122
trigger4 = stateno = 3010
trigger5 = stateno = 810
trigger5 = AnimElemTime(3) >= 1
trigger6 = stateno = [210,440]
trigger6 = movehit
trigger7 = stateno = 261
var(22) = 1

[State -3, コンボ用]
type = varset
trigger1 = prevstateno = 1108
trigger2 = prevstateno = 3010
trigger3 = prevstateno = 810
var(22) = 3




[State -3, コンボ用];椿ヒット時コンボ用
type = varset
trigger1 = stateno = 1300
trigger1 = movehit
var(22) = 4

[State -3, damage_reset];攻撃が途切れたら値をリセット
type = VarSet
trigger1 = p2movetype != H
trigger2 = enemy,GethitVar(hitcount) = 0
var(22) = 0

[State -3, コンボ用];端Ｊ強６弱ループ用
type = varset
trigger1 = stateno = 640
trigger1 = movehit
trigger1 = FrontEdgeBodyDist <= 80
trigger2 = stateno = 1280
trigger2 = movehit
trigger2 = FrontEdgeBodyDist <= 80
var(22) = 5


[State -3, Walk] 
type = changestate 
value = 20 
triggerall = var(59) = 1 && RoundState = 2 
trigger1 = statetype != A 
trigger1 = ctrl|| stateno = 11 && stateno != 20 
trigger1 = random <= 300
ctrl = 1 


[State -3,しゃがみ(ｶﾞｰﾄﾞ切替も兼ねてる)]
Type = changestate
value = 11
Ctrl = 0
TriggerAll=RoundState=2
TriggerAll=var(59) = 1
TriggerAll=StateNo=0||ctrl
triggerall = statetype != A
trigger1 = p2statetype !=A
Trigger1 = Random <= var(58)*20||var(59)>9
trigger2 =  var(42) = p2stateno
trigger2 = var(42) > 0
[State -3,しゃがみ解除(ｶﾞｰﾄﾞ切替も兼ねてる)]
Type = changestate
value = 0
Ctrl = 1
TriggerAll=RoundState=2
TriggerAll=var(59)  = 1
TriggerAll=StateType != A
TriggerAll=StateNo = 11
trigger1 = p2statetype = A
Trigger1 = Random <= var(58)*30
trigger2 = var(40) = p2stateno
trigger2 = var(40) > 0
trigger3= var(41) = p2stateno
trigger3 = var(41) > 0
[State -3,ｼﾞｬﾝﾌﾟ]
Type     = changestate
Value    = 40
Triggerall = var(59) = 1
TriggerAll=RoundState=2
Triggerall = StateType != A
Triggerall = EnemyNear,StateType != L
Triggerall = !inguarddist
triggerall = alive = 1
Trigger1 = Ctrl||StateNo=11
trigger1 = Random <= var(58)*2
trigger1 = var(22) =  0
trigger2 = stateno = 250
trigger2 = movehit
trigger2 = p2statetype = A
trigger2 = p2movetype = H
trigger3 = stateno = 1240
trigger3 = movehit
trigger4 = ctrl||stateno = 11
trigger4 = var(21) = 1
trigger5 = ctrl||stateno = 11
trigger5 = life < p2life
trigger5 = power < 1000
trigger5 = backedgebodydist <= 62
trigger5 = P2BodyDist x <= 150
trigger5 = p2movetype != A
trigger5 = p2statetype != a
trigger5 = random <= var(58)*30-var(45)*15
trigger6 = Ctrl||StateNo=11
trigger6 = p2movetype = H
trigger6 = p2stateno != [120,159]
trigger6 = var(22) = 0
trigger6 = p2statetype = A
trigger7 = Ctrl||StateNo=11||stateno = 5110
trigger7 = var(46) = p2stateno&&var(46) > 0
trigger7 = random <= var(58)*30
trigger8 = var(47) = p2stateno&&var(47) > 0
trigger8 = random <= var(58)*30
trigger8 = Ctrl||StateNo=11||stateno = 5110
trigger9 = var(21) = 3
trigger9 = Ctrl||StateNo=11
[State -3,立ち回り用 空中ｼﾞｬﾝﾌﾟ]
Type     = changestate
value = 45
Triggerall = var(59) = 1
Triggerall = StateType = A
Triggerall = EnemyNear(var(50)),StateType != L
triggerall = var(3) = 0
triggerall = var(4) = 0
triggerall = alive = 1
Trigger1 = Ctrl
trigger1 = p2movetype = H
trigger1 = p2bodydist Y = [-150,-20]
trigger1 = vel Y > 0
trigger2 = ctrl
trigger2 = life < p2life
trigger2 = power < 1000
trigger2 = backedgebodydist <= 62
trigger2 = P2BodyDist X <= 150
trigger2 = p2movetype != A
trigger2 = p2statetype != a
trigger2 = random <= var(58)*30
[State -3,立ち回り用 空中キャンセルｼﾞｬﾝﾌﾟ]
Type     = changestate
value = 46
Triggerall = var(59) = 1
Triggerall = StateType = A
Triggerall = EnemyNear(var(50)),StateType != L
triggerall = var(3) = 0
triggerall = var(4) = 0
trigger1 = stateno = 610
trigger1 = movehit
trigger1 =  p2bodydist Y < 15
[State -3,ダッシュ]
Type     = changestate
Value    = 100
Triggerall = var(59) = 1
Triggerall = StateType != A
Triggerall = EnemyNear(var(50)),MoveType != A
Triggerall = !inguarddist
Triggerall = Ctrl||StateNo=11
triggerall = enemynear(var(50)),NumProj = 0
trigger1 = Random <= var(58)*5
Trigger1 = P2BodyDist X >= 180
trigger1 = life < p2life
trigger2 = Random <= var(58)*20
Trigger2 = P2BodyDist X >= 150
trigger2 = life > p2life
trigger2 = power> 1000
trigger3 =  p2statetype = C||p2statetype = L
trigger3 = power >= 750
trigger3 = Random <= var(58)*10
trigger3 = P2BodyDist X >= 100
trigger4 = p2movetype = A
trigger4 = Enemynear,Time>=25 && EnemyNear(var(50)),AnimTime < -20
trigger4 = P2BodyDist X >= 100
trigger4 = power < 250
trigger5 = numpartner = 1
trigger5 = partner,alive = 1
trigger5 = enemy(0),facing != facing &&enemy(numenemy=2),facing != facing
trigger5 = p2bodydist X > 150
[State -3,ﾊﾞｯｸｽﾃｯﾌﾟ]
Type     = changestate
Value    = 105
TriggerAll=var(59) = 1
TriggerAll=StateType != A
TriggerAll=Ctrl||StateNo=11
triggerall = backedgebodydist >= 62
Triggerall = EnemyNear(var(50)),StateType != L
trigger1 = power < 750
trigger1 = life < p2life
trigger1 = P2BodyDist X=[-5,120]
trigger1 = EnemyNear,vel x>0
trigger1 = Random <= var(58)*15
trigger2 = power >= 750
trigger2 = P2BodyDist X=[-5,100]
trigger2 = Random <= var(58)*5
trigger2 = EnemyNear(var(50)),MoveType=A
trigger2 = EnemyNear(var(50)),Time>=20||(!Time&&var(58)>9)

[State -3,立ちガード]
Type = changestate
Value = 120
TriggerAll=var(59) = 1
TriggerAll=StateNo!=[120,155]
TriggerAll=Ctrl||StateNo=11
TriggerAll=inguarddist
TriggerAll=RoundState=2
Trigger1 = Random<=var(58)*70
Trigger2 = P2BodyDist X>90||EnemyNear(var(50)),Time>50
Trigger2 = Random<=var(58)*150



[State -3,立ち回り用 空中ダッシュ]
Type     = changestate
Value    = 110
Triggerall = var(59) = 1
Triggerall = StateType = A
Triggerall = EnemyNear(var(50)),StateType != L
Triggerall = EnemyNear(var(50)),MoveType = I
Triggerall = !inguarddist
triggerall = var(6) <= 0
Triggerall = Ctrl
trigger1 = Random <= var(58)*3
trigger1 = life > p2life
trigger1 = power >= 1000
trigger1 = p2statetype != a
trigger1 = pos Y > -75
trigger1 = P2BodyDist X> 180
trigger2 = random <= var(58)*5
trigger2 = life > p2life
trigger2 = power < 1000
trigger2 = pos Y > -75
trigger2 = p2statetype != a
trigger2 = P2BodyDist X > 180
trigger3 = random <= var(58)*30
trigger3 = p2movetype = H
trigger3 = p2statetype = A
trigger3 = p2bodydist Y < -30
trigger3 = P2bodyDist X > 180
trigger4 = life < p2life
trigger4 = power < 1000
trigger4 = backedgebodydist <= 62
trigger4 = P2BodyDist X < 150
trigger4 = p2movetype = A && Enemynear(var(50)),Time>=20 && EnemyNear(var(50)),AnimTime < -20
trigger4 = EnemyNear(var(50)),pos Y > 80
trigger4 = random <= var(58)*25

[State -3,立ち回り用 空中バックダッシュ]
Type     = changestate
Value    = 115
Triggerall = var(59) = 1
Triggerall = StateType = A
Triggerall = EnemyNear(var(50)),StateType != L
triggerall = enemynear(var(50)),movetype != H
Triggerall = !inguarddist
triggerall = var(6) <= 0
triggerall = backedgebodydist >= 62
Triggerall = Ctrl 
Trigger1 = P2BodyDist X = [50,180]
trigger1 = Random <= var(58)*3
Trigger1 = EnemyNear(var(50)),MoveType = I
trigger1 = power < 1000
trigger2 = P2BodyDist X = [30,120]
trigger2 = EnemyNear(var(50)),MoveType = A
trigger2 = Random <= var(58)*20
trigger3 = p2stateno = var(45) && var(45) > 0
trigger3 =  Random <= var(58)*30
[State -3,移動起き上がり前]
Type = changestate
value = 5125
triggerall = var(59) = 1
TriggerAll = StateNo = 5110
trigger1 = backedgebodydist <= 42
trigger1 = P2BodyDist x = [-40,40]
trigger1 = power < 1000
trigger1 = Enemynear,Time>=20 && EnemyNear(var(50)),AnimTime < -20
trigger1 = random <  var(58)*10
[State -3,移動起き上がり後ろ]
Type = changestate
value = 5130
triggerall = var(59) = 1
TriggerAll = StateNo = 5110
trigger1 = life < p2life
trigger1 = power < 1000
trigger1 = P2bodyDist X < 100
trigger1 = Enemynear,Time>=20 && EnemyNear(var(50)),AnimTime < -20
trigger1 = backedgebodydist > 180
trigger1 = random <  var(58)*10
;----------------------------------------------------------------
[State -3,猫の足音しゃがみガードのみ可]
Type = changestate
value = 3300
triggerall = var(59) = 1
TriggerAll=ctrl|| stateno =11
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 2000
TriggerAll=EnemyNear(var(50)),Alive
triggerall = ctrl||stateno = 11
triggerall = P2BodyDist X=[40,240]
triggerall = enemynear(var(50)),NumProj = 0
triggerall = p2life <= 400
trigger1 =  (p2statetype = S || p2statetype = C) 
trigger1 = EnemyNear(var(50)),GetHitVar(HitTime) >= 6
trigger1 = EnemyNear(var(50)),MoveType=H
trigger2 = (p2statetype = S || p2statetype = C) 
trigger2 = EnemyNear(var(50)),MoveType=A
trigger2 = Enemynear(var(50)),Time>=25
trigger2 = EnemyNear(var(50)),AnimTime<=-7
trigger3 = p2statetype = A
trigger3 = P2Dist Y >= -40
trigger3 = enemynear(var(50)),vel Y > 0
trigger4 = EnemyNear(var(50)),MoveType=A
trigger4 =  p2stateno = [0,2999]
trigger4 =  p2statetype =S
trigger4 = life < p2life
trigger5 = p2statetype = S
trigger5 = life > p2life
trigger5 = random < 300
[State -3,猫の足音空中ガードのみ可]
Type = changestate
value = 3350
triggerall = var(59) = 1
TriggerAll=ctrl|| stateno =11
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 2000
TriggerAll=EnemyNear(var(50)),Alive
triggerall = ctrl||stateno = 11
triggerall = P2BodyDist X=[40,240]
triggerall = enemynear(var(50)),NumProj = 0
triggerall = (p2statetype = S || p2statetype = C) 
triggerall = p2life <= 400
trigger1 = EnemyNear(var(50)),MoveType=A
trigger1 =  p2stateno = [0,2999]
trigger1 =  (p2statetype = S || p2statetype = C) 
trigger1 = random < 330
trigger1 = life < p2life
trigger2 = (p2statetype = S || p2statetype = C) 
trigger2 = life > p2life
trigger2 = random < 330

[State -3,猫の足音立ちガードのみ可]
Type = changestate
value = 3360
TriggerAll=var(59) = 1
TriggerAll=ctrl|| stateno =11
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 2000
TriggerAll=EnemyNear(var(50)),Alive
triggerall = ctrl||stateno = 11
triggerall = P2BodyDist X=[40,240]
triggerall = enemynear(var(50)),NumProj = 0
triggerall = p2life <= 400
trigger1 = EnemyNear(var(50)),MoveType=A
trigger1 =  p2stateno = [0,2999]
trigger1 =  p2statetype = C
trigger1 = random < 330
trigger1 = life < p2life
trigger2 = p2statetype = C
trigger2 = life > p2life
trigger2 = random < 330
;-----------------------------------------------------------------------------

;超必殺技
[State -3,アプロ]
Type = changestate
value = 3001
triggerall = stateno !=[120,155]
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 1000
triggerall = var(1) = 1||(stateno = 11)||(stateno = 5120)
triggerall =  P2Dist Y > -30
TriggerAll=EnemyNear(var(50)),Alive
triggerall = EnemyNear(var(50)),HitDefAttr != SCA, NT, ST, HT
triggerall = var(46) != p2stateno
triggerall = var(47) != p2stateno
triggerall = stateno!=3001
Trigger1=EnemyNear(var(50)),MoveType=A
Trigger1=Random<=var(58)*20 && Enemynear,Time>=5||(var(58)>9)||life < 300 &&var(58)>6
trigger1 = EnemyNear(var(50)),AnimTime < -5
Trigger1=P2BodyDist X=[-20,80]
Trigger2=EnemyNear(var(50)),MoveType=A
Trigger2=Random<=var(58)*20&& Enemynear,Time>=5||(var(58)>9)||life < 300&&var(58)>6
Trigger2=P2BodyDist X=[80,130]
trigger2 =  enemynear(var(50)),vel x > 4
trigger3 = var(49) = p2stateno
trigger3 = Random<=var(58)*25&& Enemynear,Time>=25
trigger3 = EnemyNear(var(50)),AnimTime < -30
[State -3,どめくら]
Type = changestate
value = 3100
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 1000
TriggerAll=EnemyNear(var(50)),Alive
triggerall = var(1) = 1
triggerall = P2BodyDist X=[-15,240]
triggerall = enemynear(var(50)),NumProj = 0
triggerall = p2stateno !=[120,159]
trigger1 = p2life <= Floor(220*fvar(0))
trigger1 = (p2statetype = S || p2statetype = C) 
trigger1 = EnemyNear(var(50)),GetHitVar(HitTime) >= 8
trigger1 = EnemyNear(var(50)),MoveType=H
trigger1 = (p2statetype = S || p2statetype = C) 
trigger2 = EnemyNear(var(50)),MoveType=A
trigger2 = Enemynear(var(50)),Time>=25
trigger2 = EnemyNear(var(50)),AnimTime<=-7
trigger3 = EnemyNear(var(50)),MoveType=H
trigger3 = p2statetype = A
trigger3 = P2Dist Y >= -40
trigger3 = enemynear(var(50)),vel Y > 0
trigger4 = P2BodyDist X=[-15,250]
trigger4 = p2life <= Floor(220*fvar(0))
trigger4 =( stateno= 1108)||( stateno = 3010)||(stateno = 810)||var(22) = 4
[State -3, バースト]
type = changestate
value = 3200
triggerall = var(59) = 1
triggerall = var(8) = 0
triggerall = statetype != A 
triggerall = stateno !=[120,159]
triggerall = alive = 1
trigger1 = Movetype = H
trigger1 = life < 200
trigger2 = Movetype = H
trigger2 = BackEdgeBodyDist < 30
trigger2 = P2BodyDist X=[-15,100]
trigger2 = life < 500

[State -3, バースト]
type = changestate
value = 3201
triggerall = var(59) = 1
triggerall = var(8) = 0
triggerall = statetype = A
triggerall = stateno !=[120,159]
triggerall = alive = 1
trigger1 = Movetype = H
trigger1 = life < 200
trigger2 = Movetype = H
trigger2 = BackEdgeBodyDist < 30
trigger2 = P2BodyDist X=[-15,100]
trigger2 = life < 500

[State -3,ガードキャンセル]
Type = changestate
value = 850
TriggerAll=var(59) = 1
TriggerAll=RoundState=2
TriggerAll=Power>=1000;発動条件
TriggerAll=StateNo=[150,153];発動条件
TriggerAll=EnemyNear(var(50)),AnimTime<=-6||var(58)>7
TriggerAll=P2BodyDist X = [-5,50]
TriggerAll=P2BodyDist Y >= -35
Triggerall = Random<=var(58)*5||var(58)>9
trigger1 = BackEdgeBodyDist > 60
trigger2 = life < 200
;------------------------------------------------------------------
;必殺技

[State -3,236x]
Type = changestate
value = 1230
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 250
triggerall = stateno != 1230
triggerall = var(1) = 1
trigger1 = power >= 500
trigger1 = enemynear(var(50)),NumProj > 0
trigger1 = p2statetype != A
trigger1 = p2movetype  = A
trigger1 = EnemyNear(var(50)),AnimTime > -12
trigger1 = P2bodyDist X = [0,250]
trigger2 = var(22) = 1
trigger2 = power >= 500
Trigger2=(EnemyNear(var(50)),GetHitVar(HitTime)) >= 12
trigger2 =!inguarddist
trigger2 = p2movetype = H
trigger2 =  P2bodyDist X = [50,250]
trigger3 = power >= 250
trigger3 = P2bodyDist X = [125,250]
trigger3 =  Random <= var(58)*2
trigger3 = p2movetype  != A
trigger3 = p2statetype != A
trigger4 = ( stateno= 1108)||( stateno = 3010)||(stateno = 810)||var(22) = 4
trigger4 = power > 500
trigger5 = EnemyNear(var(50)),MoveType=A && Enemynear(var(50)),Time>=25 && EnemyNear(var(50)),AnimTime<=-15
trigger5 = P2bodyDist X = [50,250]
trigger6 = power >= 250
trigger6 = random <= var(58)*5+var(33)*2+var(35)+var(36)+var(37)
trigger6 = p2movetype  != A
trigger6 = p2statetype != A
trigger6 = P2bodyDist X = [50,250]
trigger6 = var(38) > 2
[State -3,236x+y]
Type =changestate
value = 1240
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall=  power >= 250
triggerall = stateno = 1230
triggerall = var(9) = [0,14]
triggerall = p2stateno !=[120,159]
trigger1 = EnemyNear(var(50)),MoveType = H
trigger1 = P2bodyDist X = [-15,30]
trigger1 = p2bodydist y > -55
trigger1 = FrontEdgeBodyDist <= 100
trigger1 = EnemyNear,GetHitVar(HitTime) >= 6
trigger1 = power > 750||power= [499,250]
trigger2 = p2movetype  = A
trigger2 = enemynear(var(50)),NumProj > 0
trigger2 = P2bodyDist X = [-15,30]
trigger2 =  FrontEdgeBodyDist <= 100
trigger2 = EnemyNear(var(50)),AnimTime < -6
trigger3 = EnemyNear(var(50)),MoveType != A
trigger3 = P2bodyDist X = [-15,30]
trigger3= p2bodydist y > -55
trigger3 = FrontEdgeBodyDist <= 100
trigger3 = power= [499,250]
trigger4 = EnemyNear(var(50)),MoveType = H
trigger4 = P2bodyDist X = [-15,30]
trigger4 = p2bodydist y > -55
trigger4 =  power = [250,499]
trigger4 = EnemyNear(var(50)),GetHitVar(HitTime) >= 6
trigger5 = p2movetype  = A
trigger5 = enemynear(var(50)),NumProj > 0
trigger5 = P2bodyDist X = [-15,30]
trigger5 = EnemyNear(var(50)),AnimTime > -6
trigger5 = power = [250,499]
trigger6 = EnemyNear(var(50)),MoveType != A
trigger6 = P2bodyDist X = [-15,30]
trigger6 = p2bodydist y > -55
trigger6 = power = [250,499]
[State -3,236x+b]
Type = changestate
value = 1250
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 250
triggerall = stateno = 1230
triggerall = var(9) = [0,14]
triggerall = p2stateno !=[120,159]
trigger1 = EnemyNear(var(50)),MoveType = H
trigger1 = P2bodyDist X = [-30,45]
trigger1 = power >= 500
trigger1 = FrontEdgeBodyDist > 100
trigger1 = EnemyNear(var(50)),GetHitVar(HitTime) > 4
trigger2 = EnemyNear(var(50)),MoveType = A
trigger2 = enemynear(var(50)),NumProj > 0
trigger2 = P2bodyDist X = [-30,45]
trigger2 = power >= 500
trigger2 = FrontEdgeBodyDist > 100
trigger2 = EnemyNear(var(50)),AnimTime > -5
trigger3 = EnemyNear(var(50)),MoveType != A
trigger3 = FrontEdgeBodyDist > 100
trigger3 = P2bodyDist X = [-30,45]
trigger3 = power >= 750
[State -3,236b]
Type = changestate
value = 1260
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall=  power >= 750
TriggerAll=!inguarddist
triggerall = stateno != 1260
triggerall = var(1) = 1||stateno = 5120
trigger1 = BackEdgeBodyDist < 40
trigger1 = power = [750,999]
trigger1 = life < p2life
trigger1 = EnemyNear(var(50)),MoveType = A
trigger1 = P2bodyDist X = [-15,90]
trigger1 = Random <= var(58)*10


[State -3, 紅蓮？]
type = changestate
value = 1270
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 250
triggerall = var(9) = [0,14]
TriggerAll=!inguarddist
triggerall = stateno != 1270
triggerall = var(1) = 1
TriggerAll=EnemyNear(var(50)),Alive
trigger1 = var(22) = 1
trigger1 = power = [250,439]
Trigger1=(EnemyNear(var(50)),GetHitVar(HitTime) >= 10)||(EnemyNear(var(50)),AnimTime > -6)
trigger1= P2bodyDist X = [-15,100]
trigger1 = (p2statetype = S || p2statetype = C) 
trigger1 =  Random <= var(58)*20
trigger2 = stateno = [400,440]
trigger2 = moveguarded
trigger2 = random <  var(58)*5
trigger2 = power = [250,749]
trigger3 = ( stateno= 1108)||( stateno = 3010)
trigger3 = power = [250,460]
trigger4 = EnemyNear,MoveType=A && Enemynear(var(50)),Time>=25 && EnemyNear(var(50)),AnimTime<=-12
trigger4 =  P2bodyDist X = [120,200]
trigger4 = var(59) = 1
trigger4 = power = [250,499]
[State -3, 双葉]
type = changestate
value = 1280
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 500
triggerall = p2statetype != A
triggerall = var(9) = [0,14]
TriggerAll=!inguarddist
triggerall = stateno != 1280
triggerall = var(1) = 1
TriggerAll=EnemyNear(var(50)),Alive
trigger1 = var(22) = 1
Trigger1=EnemyNear(var(50)),GetHitVar(HitTime) >= 11
trigger1= P2bodyDist X = [-15,70]
trigger1 = p2statetype != A
trigger1 = Random <= var(58)*30
trigger1 = FrontEdgeBodyDist < 60
trigger2 = (stateno = [210,280])||(stateno = 1290)
trigger2 = moveguarded
trigger2 = random <  var(58)*15-var(33)*2
trigger2 = P2bodyDist X = [-15,70]
trigger3 = stateno = 261
trigger3 = p2statetype = S
trigger3 = p2movetype != H
trigger3 = random <  var(58)*5
trigger4 = EnemyNear,MoveType != A
trigger4 = P2bodyDist X = [-15,30]
trigger4 = enemynear(var(50)),movetype = H
trigger4 = FrontEdgeBodyDist <= 60
trigger4 = power <= 500
[State -3,残鉄 ]
type = changestate
value = 1290
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall =  power >= 750
triggerall = p2statetype != A
triggerall = P2BodyDist X=[-15,70]
triggerall = var(9) = [0,14]
TriggerAll=!inguarddist
triggerall = stateno != 1290
triggerall = p2movetype != H
triggerall = var(1) = 1
TriggerAll=EnemyNear(var(50)),Alive
triggerall = var(30) < 4
trigger1 = (stateno = [400,480])||(stateno = 1280)
trigger1 = moveguarded
trigger1 = random <  var(58)*15-var(30)*3
trigger2 = EnemyNear(var(50)),StateType=C
trigger2 = Random <= var(58)*10-var(30)*3

[State -3,椿もどき ]
type = changestate
value = 1300
triggerall = var(59) = 1
triggerall = statetype = A
triggerall = power >= 750
triggerall = var(9) = [0,14]
TriggerAll=!inguarddist
triggerall = P2BodyDist X=[-15,45]
triggerall = P2BodyDist Y =[-50,120]
TriggerAll=EnemyNear(var(50)),Alive
trigger1 = movehit
trigger1 = stateno = 640
trigger1 = FrontEdgeBodyDist <= 150
trigger1 = P2BodyDist X=[-15,35]
trigger1 = p2statetype != A
trigger2 = movehit
trigger2 = stateno = [600,640]
trigger2 = p2life <= Floor(200*fvar(0))
trigger2 =  P2BodyDist X=[-15,35]
trigger2 = power = [750,999]
trigger3 = p2statetype = C||p2statetype = L
trigger3 = ctrl||stateno = [110,115]

[State -3,突肖撃 ]
type = changestate
value = 1310
triggerall = var(59) = 1
triggerall = statetype = A
triggerall = power >= 750
triggerall = var(9) = [0,14]
TriggerAll=!inguarddist
TriggerAll=EnemyNear(var(50)),Alive
trigger1 = ctrl||stateno = [110,115]
trigger1 = enemynear(var(50)),NumProj > 0
trigger1 = p2bodydist Y = [5,60]
trigger1 = p2movetype = A
trigger1 = EnemyNear(var(50)),AnimTime<=-15
trigger2 = movehit
trigger2 = stateno = [600,640]
trigger2 = FrontEdgeBodyDist >= 150
trigger2 = p2bodydist Y = [5,60]
trigger2 = var(4) > 0
[State -3,22x]
Type = changestate
value = 1200
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = power >= 250
triggerall = p2statetype = A
triggerall = var(21) = 0
triggerall = var(9) = [0,14]
TriggerAll=!inguarddist
triggerall = var(1) = 1
trigger1 = P2bodyDist X = [-15,50]
trigger1 = p2bodydist Y > -50
trigger1 = Random <= var(58)*5
trigger1 = power < 1000
trigger1 = p2movetype !=H
trigger2 = ctrl||stateno = 11
trigger2 = P2bodyDist X = [51,135]
trigger2 = p2bodydist Y = [-80,-51]
trigger2 = random <= var(58)*10
trigger2 = power < 1000
trigger2 =  p2movetype !=H
trigger3 = P2bodyDist X = [-15,50]
trigger3 = p2bodydist Y > -50
trigger3 = Random <= var(58)*5
trigger3 = power >= 1000
trigger3 =  p2movetype !=H
trigger4 = P2bodyDist X = [51,135]
trigger4 = p2bodydist Y = [-80,-51]
trigger4 = random <= var(58)*10
trigger4 = power >= 1000
trigger4 =  p2movetype !=H
trigger5 = stateno = 1102
trigger5 = P2bodyDist X = [-15,50]
trigger5 = p2bodydist Y > -50
trigger5 = stateno = 1102
trigger5 = P2bodyDist X = [51,135]
trigger5 = p2bodydist Y = [-80,-51]
trigger5 = random < var(58)*10
trigger6 = P2bodyDist X = [-15,50]
trigger6 = p2bodydist Y > -50
trigger6 = Random <= var(58)*5
trigger6 = p2life <= Floor(100*fvar(0))
trigger7 = ctrl||stateno = 11
trigger7 = P2bodyDist X = [51,135]
trigger7 = p2bodydist Y = [-80,-51]
trigger7 = random <= var(58)*10
trigger7 = p2life <= Floor(100*fvar(0))
[State -3,22y]
Type = changestate
value = 1210
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = ctrl|| stateno =11
triggerall = power >= 250
triggerall = var(21) = 0
triggerall = var(9) = [0,14]
TriggerAll=!inguarddist
triggerall = var(1) = 1
trigger1 = P2bodyDist X = [-15,150]
trigger1 = p2bodydist Y = [-30,10]
trigger1 = p2statetype = A
trigger1 = Random <= var(58)*10
trigger1 = power < 1000
trigger2 = P2bodyDist X = [-15,150]
trigger2 = p2bodydist Y = [-30,10]
trigger2 = p2statetype = A
trigger2 = Random <= var(58)*8
trigger2 = power >= 1000

[State -3,22b]
Type = changestate
value = 1220
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
triggerall = statetype != A
triggerall = ctrl|| stateno =11
triggerall = power >= 250
triggerall = p2statetype != A||p2statetype != C
triggerall = var(21) = 0
triggerall = var(9) = [0,14]
TriggerAll=!inguarddist
trigger1 = P2BodyDist X = [50,150]
trigger1 = random <  var(58)*5-var(32)
trigger1 = enemynear(var(50)),vel x = [0,6]
trigger2 = stateno = [210,280]
trigger2 = moveguarded
trigger2 = random <  var(58)*7-var(32)
;--------------------------------------------------------------------
[State -3,5d]
Type = changestate
value = 1100
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
TriggerAll=StateType != A
triggerall = ctrl||StateNo=11
TriggerAll=EnemyNear(var(50)),StateType != L
TriggerAll=EnemyNear(var(50)),MoveType != H
triggerall = EnemyNear,HitDefAttr != SCA, NT, ST, HT
triggerall = var(46) != p2stateno
triggerall = var(47) != p2stateno
trigger1 = power < 1000
trigger1 =  (ctrl||StateNo=11) && (P2bodyDist X = [40,150])
trigger1 = P2Dist Y = [-150,0]
trigger1 = enemynear(var(50)),vel x > 2
trigger1 = enemynear(var(50)),vel y > 2
trigger1 = random < var(58)*10
trigger2 = power < 1000
trigger2 = p2statetype = A
trigger2 = p2movetype = A
trigger2 = P2bodyDist X = [40,180]
trigger2 = P2Dist Y = [-180,-30]
trigger2 = random < var(58)*15
trigger3 = power < 1000
trigger3 = (ctrl||StateNo=11) && (P2bodyDist X = [100,200])
trigger3 =  p2movetype = A
trigger3 = p2statetype = S
trigger3 = enemynear(var(50)),vel x = [0,10]
trigger3 = random < var(58)*5
trigger4 = power >= 1000
trigger4 =  (ctrl||StateNo=11) && (P2bodyDist X = [40,150])
trigger4 = P2Dist Y = [-150,0]
trigger4 = enemynear(var(50)),vel x > 2
trigger4 = enemynear(var(50)),vel y > 2
trigger4 = random < var(58)*5
trigger5 = power >= 1000
trigger5 = p2statetype = A
trigger5 = p2movetype = A
trigger5 = P2bodyDist X = [40,180]
trigger5 = P2Dist Y = [-180,-30]
trigger5 = random < var(58)*5
trigger6 = power >= 1000
trigger6 = (ctrl||StateNo=11) && (P2bodyDist X = [100,200])
trigger6 =  p2movetype = A
trigger6 = p2statetype = S
trigger6 = enemynear(var(50)),vel x = [0,10]
trigger6 = random < var(58)*2
trigger7 = var(49) = p2stateno
trigger7 = Random<=var(58)*25&& Enemynear,Time>=25
trigger7 = EnemyNear(var(50)),AnimTime < -30
trigger7 = power < 1000
[State -3,6d]
Type = changestate
value = 1105
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
TriggerAll=StateType != A
triggerall =Ctrl||(StateNo=11)||(stateno = 1230)||(stateno = 5120)
TriggerAll=EnemyNear(var(50)),StateType != L
TriggerAll=EnemyNear(var(50)),MoveType != H
triggerall = p2statetype != A
triggerall =  p2stateno = [0,999]
triggerall = enemynear(var(50)),NumProj = 0
triggerall = var(48) != p2stateno
trigger1 = power < 1000
Trigger1=EnemyNear(var(50)),MoveType=A
Trigger1=Random<=var(58)*25&& Enemynear,Time>=5||(var(58)>9)
Trigger1=P2BodyDist X=[10,150]
trigger1 = EnemyNear,AnimTime < -11
trigger2 = power < 1000
Trigger2=EnemyNear(var(50)),MoveType=A
Trigger2=Random<=var(58)*20&& Enemynear,Time>=5||(var(58)>9)
trigger2 = EnemyNear,AnimTime < -11
Trigger2=P2BodyDist X=[40,150]
trigger2 =  enemynear(var(50)),vel x > 4
trigger3 = power >= 1000
Trigger3=EnemyNear(var(50)),MoveType=A
Trigger3=Random<=var(58)*3&& Enemynear,Time>=5||(var(58)>9)
trigger3 = EnemyNear(var(50)),AnimTime < -11
Trigger3=P2BodyDist X=[10,150]
trigger4 = power >= 1000
Trigger4=EnemyNear(var(50)),MoveType=A
Trigger4=Random<=var(58)*3&& Enemynear,Time>=5||(var(58)>9)
trigger4 = EnemyNear(var(50)),AnimTime < -11
Trigger4=P2BodyDist X=[40,150]
trigger4 =  enemynear(var(50)),vel x > 4

[State -3,2d]
Type = changestate
value = 1120
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
TriggerAll=StateType != A
triggerall =Ctrl||(StateNo=11)||(stateno = 5120)
TriggerAll=EnemyNear(var(50)),StateType != L
TriggerAll=EnemyNear(var(50)),MoveType != H
triggerall = p2statetype = C
triggerall = EnemyNear(var(50)),HitDefAttr != SCA, NT, ST, HT
triggerall = var(46) != p2stateno
triggerall = var(47) != p2stateno
trigger1 = power < 1000
Trigger1=EnemyNear(var(50)),MoveType=A
Trigger1=Random<=var(58)*25&& Enemynear,Time>=5||(var(58)>9)
trigger1 = EnemyNear(var(50)),AnimTime < -11
Trigger1=P2BodyDist X=[-15,120]
trigger2 = power < 1000
Trigger2=EnemyNear,MoveType=A
Trigger2=Random<=var(58)*25&& Enemynear,Time>=5||(var(58)>9)
trigger2 = EnemyNear(var(50)),AnimTime < -11
Trigger2=P2BodyDist X=[41,150]
trigger2 = enemynear(var(50)),vel x > 4
trigger3 = power >= 1000
Trigger3=EnemyNear(var(50)),MoveType=A
Trigger3=Random<=var(58)*3&& Enemynear,Time>=5||(var(58)>9)
trigger3 = EnemyNear(var(50)),AnimTime < -11
Trigger3=P2BodyDist X=[-15,120]
trigger4 = power >= 1000
Trigger4=EnemyNear(var(50)),MoveType=A
Trigger4=Random<=var(58)*3&& Enemynear,Time>=5||(var(58)>9)
trigger4 = EnemyNear(var(50)),AnimTime < -11
Trigger4=P2BodyDist X=[41,150]
trigger4 = enemynear(var(50)),vel x > 4

[State -3,jd]
Type = changestate
value = 1130
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
TriggerAll=StateType = A
triggerall=Ctrl
TriggerAll=P2BodyDist Y = [-50,100]
TriggerAll=EnemyNear(var(50)),StateType != L
TriggerAll=EnemyNear(var(50)),MoveType != H
triggerall = enemynear(var(50)),NumProj = 0
triggerall = EnemyNear(var(50)),HitDefAttr != SCA, NT, ST, HT
triggerall = p2stateno !=var(45)>0
Trigger1=EnemyNear,MoveType=A
Trigger1=Random<=var(58)*15&& Enemynear,Time>=5||(var(58)>9)
Trigger1=P2BodyDist X=[20,60]
trigger1= EnemyNear(var(50)),AnimTime < -11
Trigger2=EnemyNear(var(50)),MoveType=A
Trigger2=Random<=var(58)*15&& Enemynear,Time>=5||(var(58)>9)
trigger2 =EnemyNear(var(50)),AnimTime < -11
Trigger2=P2BodyDist X=[61,100]
trigger2 =  enemynear(var(50)),vel x > 4
trigger3 = ctrl
trigger3 = var(44) = p2stateno
trigger3 = var(44) > 0
trigger3 = EnemyNear(var(50)),MoveType=A
trigger3 = Random<=var(58)*60&& Enemynear,Time>=5||(var(58)>9)
trigger4 = ctrl
trigger4 = var(43) = p2stateno
trigger4 = var(43) > 0
trigger4 =  EnemyNear(var(50)),MoveType=A
trigger4 = Random<=var(58)*60&& Enemynear,Time>=5||(var(58)>9)
;-------------------------------------------------------------------
[State -3,投げ]
Type = changestate
value = 800
TriggerAll=var(59) = 1
TriggerAll=RoundState = 2
TriggerAll=StateType != A
triggerall = p2statetype != A
TriggerAll=EnemyNear(var(50)),StateType != L
TriggerAll=EnemyNear(var(50)),movetype ! = H
triggerall = p2movetype !=H
TriggerAll=P2bodyDist X = [-15,10]
triggerall = var(34) < 3
trigger1 = ctrl||StateNo=11
Trigger1 = Random <= var(58)*25+var(30)*2-var(34)*5+var(33)*2+var(35)+var(36)+var(37)
trigger1 = p2movetype != A
trigger2 = ctrl||StateNo=11
Trigger2 = (EnemyNear(var(50)),StateNo=[120,159])
Trigger2 = Random <= var(58)*25+var(30)*2-var(34)*5+var(33)*2+var(35)+var(36)+var(37)
trigger3 = ctrl||StateNo=11
trigger3 = prevstateno = 1231
trigger3 =  Random <= var(58)*25+var(30)*2-var(34)*5+var(33)*2+var(35)+var(36)+var(37)
[State -3, 6弱] 
type = changestate 
value = 250
triggerall = var(59) = 1 && RoundState = 2 
triggerall = alive = 1
triggerall = statetype != A
TriggerAll=EnemyNear(var(50)),StateType != L
triggerall = var(9) = [0,14]
trigger1 = (ctrl||StateNo=11) && (P2bodyDist X = [25,90])
trigger1 = enemynear(var(50)),vel x > 2
trigger1 = P2Dist Y = [-150,-20]
trigger1 = enemynear(var(50)),vel y > 2
trigger1 = random < var(58)*40
trigger2 = (ctrl||StateNo=11) && (P2bodyDist X = [25,130])
trigger2 = enemynear(var(50)),vel x > 6
trigger2 = P2Dist Y = [-150,-20]
trigger2 = enemynear,vel y > 3
trigger2 = random < var(58)*30
trigger3 = (ctrl||StateNo=11) && (P2bodyDist X = [-15,40])
trigger3 = P2Dist Y = [-70,-15]
trigger3 = random < var(58)*60
trigger3 = p2statetype = A
trigger3 = enemynear(var(50)),vel y > 0
trigger3 = enemynear(var(50)),vel x > 0
trigger4 = ctrl||StateNo=11
trigger4 = EnemyNear(var(50)),MoveType = H
trigger4 = P2BodyDist X = [-20,55]
trigger4 = enemynear(var(50)),Pos y = [-100,-30]
trigger4 = var(9) = [0,13]
trigger4 = p2statetype = A
trigger4 = var(22) = 5
trigger5 = var(22) = 5
trigger5 = ctrl||StateNo=11
trigger5 = EnemyNear(var(50)),MoveType = H
trigger5 = prevstateno = 1280
trigger5 = FrontEdgeBodyDist <= 60
trigger6 = ctrl||StateNo=11
trigger6 = EnemyNear(var(50)),MoveType = H
trigger6 = P2BodyDist X = [-20,55]
trigger6 = enemynear(var(50)),Pos y = [-130,-50]
trigger6 = var(9) = [0,13]
trigger6 = p2statetype = A
trigger6 = enemynear,vel y > 12
trigger7 = var(22) = 4
trigger7 =  P2BodyDist X = [-20,55]
trigger7 = ctrl||StateNo=11
[State -3, 6中]
Type = changestate
value = 260
TriggerAll= var(59) = 1
TriggerAll=RoundState = 2
TriggerAll=StateType != A
TriggerAll=EnemyNear(var(50)),StateType != L
TriggerAll=EnemyNear(var(50)),MoveType != H
TriggerAll=!InGuardDist
TriggerAll=P2BodyDist X=[-15,70]
TriggerAll=EnemyNear(var(50)),StateType=C
Triggerall= ctrl||StateNo=11
triggerall = var(9) = [0,14]
triggerall = var(31) < 3
Trigger1 = Random <= var(58)*20-var(31)*5


;----------------------------------------------------------------
[State -3, 5弱] 
type =  changestate 
value = 200
triggerall = var(59) = 1 && RoundState = 2 
triggerall = alive = 1
triggerall = (ctrl||StateNo=11) && (P2BodyDist X = [0,28])
triggerall =  EnemyNear,pos Y = [-30,-20]
triggerall = var(9) = [0,14]
triggerall = statetype != A
trigger1 = p2movetype != A
trigger1 = random < var(58)*40
trigger2 = p2movetype = A && life >= lifemax / 2 
trigger2 = random <  var(58)*40

[State -3, 5中] 
type =  changestate 
value = 210 
triggerall = var(59) = 1 && RoundState = 2 
triggerall = alive = 1
triggerall = p2statetype != L
triggerall = statetype != A
triggerall = var(9) = [0,14]
trigger1 = (ctrl||StateNo=11) && (P2bodyDist X = [25,80])
trigger1 = enemynear(var(50)),vel x = [1,4]
trigger1 = random < var(58)*30-var(35)
trigger1 = P2Dist Y >= -5
trigger2 = ctrl||StateNo=11
trigger2 = EnemyNear(var(50)),MoveType = H
trigger2 = EnemyNear(var(50)),GetHitVar(HitTime) = [9,10]
trigger2 = P2bodyDist X = [-20,80]
trigger2 = (p2statetype = S || p2statetype = C) 
[State -3, 5強] 
type =  changestate 
value = 240 
triggerall = var(59) = 1 && RoundState = 2 
triggerall = alive = 1
triggerall = p2statetype != L
triggerall = statetype != A
TriggerAll=!InGuardDist
triggerall = var(9) = [0,14]
triggerall = (ctrl||StateNo=11)
trigger1 = (ctrl||StateNo=11) && (P2bodyDist X = [50,100])
trigger1 = enemynear,vel x = [0,4]
trigger1 = random < var(58)*5
trigger2 = (ctrl||StateNo=11) && (P2bodyDist X = [20,85])
trigger2 = (p2statetype = S || p2statetype = C) 
trigger2 = EnemyNear(var(50)),MoveType=A
trigger2 = Enemynear(var(50)),Time>=25
trigger2 = EnemyNear(var(50)),AnimTime<=-10
trigger2 = Random < (58)*30
trigger3 = EnemyNear(var(50)),MoveType = H
trigger3 = EnemyNear(var(50)),GetHitVar(HitTime) > 11
trigger3 = power > 250
trigger3 = P2bodyDist X = [-20,85]
trigger3 = (p2statetype = S || p2statetype = C) 

;------------------------------------------------------------------------
[State -3, Crouching Light Punch] 
type = changestate 
value = 400 
triggerall = var(59) = 1 && RoundState = 2 
triggerall = alive = 1
triggerall = statetype != A  && (p2statetype = S || p2statetype = C) 
trigger1 = p2movetype != A 
trigger1 = (ctrl||StateNo=11) && (P2Dist X = [-15,0])
trigger1 = random < (58)*50
trigger2 = p2movetype = A && life >= lifemax / 2 
trigger2 = (ctrl||StateNo=11) && (P2Dist X = [-15,0])
trigger2 = random < (58)*50

[State -3, 2中] 
type = changestate 
value = 410 
triggerall = var(59) = 1 && RoundState = 2 
triggerall = alive = 1
triggerall = statetype != A
triggerall = var(9) = [0,14]
triggerall = var(22) = 0
trigger1 = (ctrl||StateNo=11) && (P2bodyDist X = [10,40])
trigger1 = random <  var(58)*35-var(36)
trigger1 = p2statetype = S || p2statetype = L

[State -3, 2強] 
type =  changestate 
value = 440 
triggerall = var(59) = 1 && RoundState = 2 
triggerall = alive = 1
triggerall = statetype != A
TriggerAll=!InGuardDist
triggerall = p2statetype !=A
trigger1 = (ctrl||StateNo=11) && (P2BodyDist X = [40,73])
trigger1 = random <  var(58)*15-var(37)
trigger1 =  p2statetype = S
trigger2 =  p2statetype = L
trigger2 = (ctrl||StateNo=11) && (P2BodyDist X = [15,73])
trigger2 = random <  var(58)*28
trigger3 =  EnemyNear(var(50)),MoveType = H
trigger3 =  EnemyNear(var(50)),GetHitVar(HitTime) >= 12
trigger3 = power < 250
trigger3 = (ctrl||StateNo=11) && (P2BodyDist X = [15,73])
trigger3 =  Random < (58)*50||var(58) = 10
;------------------------------------------------------------------------------
[State -3,空中]
Type =  changestate
value = 600
TriggerAll=var(59) = 1 && RoundState = 2 
TriggerAll=StateType=A
TriggerAll=EnemyNear(var(50)),StateType != L
TriggerAll=P2BodyDist X=[-20,23]
triggerall = var(9) = [0,14]
Trigger1=Ctrl
Trigger1 = Random <= var(58)*40
Trigger1 =P2BodyDist Y =[-30,20]
trigger1 =  FrontEdgeBodyDist >= 120
trigger1 =EnemyNear(var(50)),MoveType != H
trigger2=Ctrl
Trigger2 = Random <= var(58)*40
Trigger2 =P2BodyDist Y =[-30,20]
trigger2 =  FrontEdgeBodyDist >= 120
trigger2 = var(21) = 1
[State -3,空中中]
Type =  changestate
value = 610
TriggerAll=var(59) = 1 && RoundState = 2 
TriggerAll=StateType=A
TriggerAll=EnemyNear(var(50)),StateType != L
triggerall = var(9) = [0,14]
trigger1 = ctrl
trigger1 = P2BodyDist X =[-15,80]
Trigger1 =P2BodyDist Y =[-35,30]
Trigger1 = Random <= var(58)*40
trigger1 = p2statetype = A
trigger1 =  FrontEdgeBodyDist >= 60
trigger2 = ctrl
trigger2 = P2BodyDist X =[-15,70]
Trigger2 =P2BodyDist Y =[0,35]
Trigger2 = Random <= var(58)*40
trigger2 = p2statetype != A
trigger3 = stateno = 600
trigger3 = movehit
trigger3 = P2BodyDist X =[-15,70]
Trigger3 =P2BodyDist Y =[-25,0]
trigger4 = ctrl
trigger4 = P2BodyDist X =[-15,100]
Trigger4 =P2BodyDist Y =[-35,30]
Trigger4 = Random <= var(58)*30
trigger4 = p2statetype = A
trigger4 = vel X > 0
trigger4 =  FrontEdgeBodyDist >= 60
[State -3,空中強]
Type =  changestate
value = 640
TriggerAll=var(59) = 1 && RoundState = 2 
TriggerAll=StateType=A
TriggerAll=EnemyNear(var(50)),StateType != L
triggerall = var(9) = [0,14]
trigger1 = stateno = 610;エリアル用記述
trigger1 = movehit
Trigger1=P2BodyDist Y =[-15,32]
Trigger1= Random <= var(58)*60
trigger1 = var(4) > 0||var(3) > 0
trigger2 = ctrl;壁際コンボ用
trigger2 = P2BodyDist X =[-10,63]
Trigger2 =P2BodyDist Y =[-44,64]
trigger2 = p2movetype = H
trigger2 = FrontEdgeBodyDist <= 60
trigger3 = ctrl;飛び込み用
trigger3 = Random <= var(58)*30
trigger3 =  p2statetype != A
trigger3 =  P2BodyDist X =[-10,63]
trigger3 = P2BodyDist Y =[-22,80]
trigger3 = vel Y>= 0
trigger4 = stateno = 610;エリアル用記述power不足1
trigger4 = movehit
Trigger4=P2BodyDist Y =[-30,64]
Trigger4= Random <= var(58)*60
trigger4 = var(4) > 0||var(3) > 0
trigger4 = power < 500
trigger5 = ctrl
trigger5 = var(4) > 0||var(3) > 0
trigger5 = power < 500
trigger5 = P2BodyDist Y =[-30,64]
trigger5 =  P2BodyDist X =[-10,63]

;-----------------------------------------------------------------------------------
;=================================
[State -3, タッグ用生死判別];
Type = VarSet
triggerall = var(59)
triggerall = RoundState = 2
trigger1 = NumEnemy = 1
trigger2 = NumEnemy = 2
trigger2 = EnemyNear(0),life > 0
var(50) = 0
IgnoreHitPause = 1

[State -3, タッグ用生死判別];
Type = VarSet
triggerall = var(59)
triggerall = RoundState = 2
trigger1 = NumEnemy = 2
trigger1 = EnemyNear(0),life <= 0
var(50) = 1
IgnoreHitPause = 1

[State -3, AI起動用ヘルパー]
type=helper
trigger1=roundstate=2
trigger1=alive
trigger1=var(59)=0
Trigger1=PrevStateNo=(191)||PrevStateNo=5900
Trigger1=ctrl&&stateno=0
trigger1 = NumHelper(10000) < 1
helpertype=normal
name="AI"
stateno=10000
ID=10000
pos=9999,9999
keyctrl=1
pausemovetime=2147483647
supermovetime=2147483647
persistent = 0

;念のため↓も付けておく
[State -3, 関係無いステートに行かないように]
type=changestate
trigger1= ishelper(10000)
trigger1= stateno!=10000
value=10000

[State -3, AIフラグセット]
type = VarSet
triggerall = !var(59)
triggerall = RoundState = [1,2]
trigger1 = Command = "AI0"
trigger2 = Command = "AI1"
trigger3 = Command = "AI2"
trigger4 = Command = "AI3"
trigger5 = Command = "AI4"
trigger6 = Command = "AI5"
trigger7 = Command = "AI6"
trigger8 = Command = "AI7"
trigger9 = Command = "AI8"
trigger10 = Command = "AI9"
trigger11 = Command = "AI10"
trigger12 = Command = "AI11"
trigger13 = Command = "AI12"
trigger14 = Command = "AI13"
trigger15 = Command = "AI14"
trigger16 = Command = "AI15"
trigger17 = Command = "AI16"
trigger18 = Command = "AI17"
trigger19 = Command = "AI18"
trigger20 = Command = "AI19"
trigger21 = Command = "AI20"
trigger22 = Command = "AI21"
trigger23 = Command = "AI22"
trigger24 = Command = "AI23"
trigger25 = Command = "AI24"
trigger26 = Command = "AI25"
trigger27 = Command = "AI26"
trigger28 = Command = "AI27"
trigger29 = Command = "AI28"
trigger30 = Command = "AI29"
trigger31 = Command = "AI30"
trigger32 = Command = "AI31"
trigger33 = Command = "AI32"
trigger34 = Command = "AI33"
trigger35 = Command = "AI34"
trigger36 = Command = "AI35"
trigger37 = Command = "AI36"
trigger38 = Command = "AI37"
trigger39 = Command = "AI38"
trigger40 = Command = "AI39"
trigger41 = Command = "AI40"
trigger42 = Command = "AI41"
trigger43 = Command = "AI42"
trigger44 = Command = "AI43"
trigger45 = Command = "AI44"
trigger46 = Command = "AI45"
trigger47 = Command = "AI46"
trigger48 = Command = "AI47"
trigger49 = Command = "AI48"
trigger50 = Command = "AI49"
trigger51 = Command = "AI50"
Trigger52 = Helper(10000),var(59)
var(58) = (Var(59):=1)*7 ;AIlevel 1~10
;---------------------------------------------
;------------------------------------------------------------------------------
